Package com.clickhouse.jdbc.internal

# Class JdbcSavepoint

java.lang.Object
com.clickhouse.jdbc.internal.JdbcSavepoint

All Implemented Interfaces:
  `Savepoint`

public class JdbcSavepoint extends Object implements Savepoint

## Method Summary

Modifier and Type
Method
Description
`int`
`getSavepointId()`
`String`
`getSavepointName()`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Method Details

### getSavepointId

public int getSavepointId() throws SQLException

Specified by:
  `getSavepointId` in interface `Savepoint`
Throws:
  `SQLException`

### getSavepointName

public String getSavepointName() throws SQLException

Specified by:
  `getSavepointName` in interface `Savepoint`
Throws:
  `SQLException`

### toString

public String toString()

Overrides:
  `toString` in class `Object`